#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int p,q,r,L,R;
    int Nkp,Nkq,Nkr,finres=0,gr;
    float zerochecker;
    cin >> p >> q >> r >> L >> R;
    zerochecker = (1/p + 1/q + 1/r);
    if(zerochecker >= 1)
        finres = 0;
    else
    if(p==2 && q==3 && r==7)
    {
        if(R>126)
        {
            gr = 126;
            finres+=R-126;
        }
        else
            gr = R;

        for(int i=L;i<=gr;i++)
        {
            Nkp = ceil((float)i/p);
            Nkq = ceil((float)i/q);
            Nkr = ceil((float)i/r);
            if(Nkp+Nkq+Nkr <= i)
            {
                finres++;
            }
        }
    }
    else
        for(int i=L;i<=R;i++)
        {
            Nkp = ceil((float)i/p);
            Nkq = ceil((float)i/q);
            Nkr = ceil((float)i/r);
            if(Nkp+Nkq+Nkr <= i)
            {
                finres++;
            }
        }
    cout << finres;
}